# VrpNetwork Class Reference

`#include <VrpNetwork.h>`

Collaboration diagram for VrpNetwork:
[legend]

List of all members.

## Public Member Functions
| VrpNetwork ()
| VrpNetwork (int edgenum, int vertnum)
virtual | ~VrpNetwork ()
void | createNet (CoinPackedVector *sol, int *demand, std::vector< VrpVariable * > edgeList, double etol, int vertnum)
void | computeCompNums (vertex *v, int parent_comp, int *num_comps, bool parent_is_art_point)
void | depthFirstSearch (vertex *v, int *count1, int *count2)
int | connected ()
int | biconnected ()
void | reduce_graph (double etol)
void | gutsOfDestructor ()
## Private Attributes
int | edgenum_
int | maxEdgenum_
int | vertnum_
bool | isIntegral_
int | numComps_
struct EDGE * | edges_
struct VERTEX * | verts_
double | mincut_
struct ELIST * | adjList_
int * | compNodes_
int * | compDemands_
double * | compCuts_
int * | compMembers_
int * | newDemand_
## Friends
class | VrpModel
class | VrpCutGenerator
class | VrpSolution

## Detailed Description

Definition at line 80 of file VrpNetwork.h.

## Constructor & Destructor Documentation

VrpNetwork::VrpNetwork | ( |  | ) | `[inline]`

Definition at line 108 of file VrpNetwork.h.

VrpNetwork::VrpNetwork | ( | int | edgenum,
|  | int | vertnum |
| ) |  |  |

virtual VrpNetwork::~VrpNetwork | ( |  | ) | `[inline, virtual]`

Definition at line 121 of file VrpNetwork.h.

## Member Function Documentation

void VrpNetwork::createNet | ( | CoinPackedVector * | sol,
|  | int * | demand,
|  | std::vector< VrpVariable * > | edgeList,
|  | double | etol,
|  | int | vertnum |
| ) |  |  |

void VrpNetwork::computeCompNums | ( | vertex * | v,
|  | int | parent_comp,
|  | int * | num_comps,
|  | bool | parent_is_art_point |
| ) |  |  |

void VrpNetwork::depthFirstSearch | ( | vertex * | v,
|  | int * | count1,
|  | int * | count2 |
| ) |  |  |

int VrpNetwork::connected | ( |  | ) |

int VrpNetwork::biconnected | ( |  | ) |

void VrpNetwork::reduce_graph | ( | double | etol | ) |

void VrpNetwork::gutsOfDestructor | ( |  | ) |

## Friends And Related Function Documentation

friend class VrpModel`[friend]`

Definition at line 82 of file VrpNetwork.h.

friend class VrpCutGenerator`[friend]`

Definition at line 83 of file VrpNetwork.h.

friend class VrpSolution`[friend]`

Definition at line 84 of file VrpNetwork.h.

## Member Data Documentation

int VrpNetwork::edgenum_`[private]`

Definition at line 88 of file VrpNetwork.h.

int VrpNetwork::maxEdgenum_`[private]`

Definition at line 89 of file VrpNetwork.h.

int VrpNetwork::vertnum_`[private]`

Definition at line 90 of file VrpNetwork.h.

bool VrpNetwork::isIntegral_`[private]`

Definition at line 91 of file VrpNetwork.h.

int VrpNetwork::numComps_`[private]`

Definition at line 93 of file VrpNetwork.h.

struct EDGE* VrpNetwork::edges_`[read, private]`

Definition at line 94 of file VrpNetwork.h.

struct VERTEX* VrpNetwork::verts_`[read, private]`

Definition at line 95 of file VrpNetwork.h.

double VrpNetwork::mincut_`[private]`

Definition at line 96 of file VrpNetwork.h.

struct ELIST* VrpNetwork::adjList_`[read, private]`

Definition at line 97 of file VrpNetwork.h.

int* VrpNetwork::compNodes_`[private]`

Definition at line 99 of file VrpNetwork.h.

int* VrpNetwork::compDemands_`[private]`

Definition at line 100 of file VrpNetwork.h.

double* VrpNetwork::compCuts_`[private]`

Definition at line 101 of file VrpNetwork.h.

int* VrpNetwork::compMembers_`[private]`

Definition at line 102 of file VrpNetwork.h.

int* VrpNetwork::newDemand_`[private]`

Definition at line 103 of file VrpNetwork.h.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.2/Blis/examples/VRP/VrpNetwork.h